@color A
@cls
@echo ================================
@echo * Automated Mods Deployment v1.3
@echo ================================
@echo = Created by Overmind of Borg
@echo --------------------------------

@echo Checking mod files ...
@if not exist RedStar.big goto FAIL
@if not exist RedStar_1.0.skudef goto FAIL
@echo Mod files detected.

@echo Detecting OS type ...

@VER | findstr /i "5.0." > nul
@IF %ERRORLEVEL% EQU 0 ECHO Windows 2000 detected.
@IF %ERRORLEVEL% EQU 0 goto XP

@VER | findstr /i "5.1." > nul
@IF %ERRORLEVEL% EQU 0 ECHO Windows XP detected.
@IF %ERRORLEVEL% EQU 0 goto XP

@VER | findstr /i "5.2." > nul
@IF %ERRORLEVEL% EQU 0 ECHO Windows 2003 detected.
@IF %ERRORLEVEL% EQU 0 goto XP

@VER | findstr /i "6.0." > nul
@IF %ERRORLEVEL% EQU 0 ECHO Windows Vista detected.
@IF %ERRORLEVEL% EQU 0 goto VS

@VER | findstr /i "7.0." > nul
@IF %ERRORLEVEL% EQU 0 ECHO Windows 2008 / 7 beta detected.
@IF %ERRORLEVEL% EQU 0 goto VS

:XP
@echo Detecting Mods directory presence ...
@if not exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar" Echo No Mods directory detected. The RA3 Mods directory will be created now.
@if not exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar" md "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar"
@if exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar" Echo RA3 Mods directory exists.

@echo Detecting previous versions ...
@if exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo Older version of the mod detected. Saving older version...
@if exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" del "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar_1.0.skudef" /f
@if not exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo No older versions found.
@if exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" copy "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.old" /y
@if exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" del "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" /f

@Echo X-fering new version of the mod ...
@copy RedStar.big "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\" /y
@copy RedStar_1.0.skudef "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\" /y
@if exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo ===============================================
@if exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo X-fer completed. Red Star mod is now INSTALLED.
@if exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo ===============================================

@if not exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo ===================================
@if not exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo X-fer FAILED. Something went wrong.
@if not exist "%USERPROFILE%\My Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo ===================================
@goto END

:VS
@echo Detecting Mods directory presence ...
@if not exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar" Echo No Mods directory detected. The RA3 mods directory will be created now.
@if not exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar" md "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar"
@if exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar" Echo RA3 Mods directory exists.

@echo Detecting previous versions ...
@if exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo Older version of the mod detected. Saving older version...
@if exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" del "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar_1.0.skudef" /f
@if not exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo No older versions found.
@if exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" copy "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.old" /y
@if exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" del "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" /f

@Echo X-fering new version of the mod ...
@copy RedStar.big "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\" /y
@copy RedStar_1.0.skudef "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\" /y
@if exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo ===============================================
@if exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo X-fer completed. Red Star mod is now INSTALLED.
@if exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo ===============================================

@if not exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo ===================================
@if not exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo X-fer FAILED. Something went wrong.
@if not exist "%USERPROFILE%\Documents\Red Alert 3\Mods\RedStar\RedStar.big" echo ===================================
@goto END

:FAIL
@echo Critical mod file(s) not found !
@echo Installation FAILED !
@goto END 

:END
@pause
